Mail archive
alpine-aports

[alpine-aports] [PATCH 2/2] unmaintained/omorfi: moved from testing

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Mon, 21 Mar 2016 01:11:05 +0100

This package is outdated can't be installed currently and depends on a
python3 subpackage which was removed in the previous commit. Furthermore
it has no maintainer.

See the previous commit eaf3ffdf72ca7b10f33c965aee90b783281c99e7
---
 testing/omorfi/APKBUILD      | 62 --------------------------------------------
 unmaintained/omorfi/APKBUILD | 62 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+), 62 deletions(-)
 delete mode 100644 testing/omorfi/APKBUILD
 create mode 100644 unmaintained/omorfi/APKBUILD
diff --git a/testing/omorfi/APKBUILD b/testing/omorfi/APKBUILD
deleted file mode 100644
index 06e7291..0000000
--- a/testing/omorfi/APKBUILD
+++ /dev/null
_at_@ -1,62 +0,0 @@
-# Contributor: Frankie Robertson <frankie_at_robertson.name>
-# Maintainer:
-pkgname=omorfi
-pkgver=20150326
-pkgrel=0
-pkgdesc="Open morphology for Finnish"
-url="https://github.com/flammie/omorfi"
-arch="noarch"
-license="GPL3"
-depends="hfst bash"
-depends_dev=""
-makedepends="$depends_dev autoconf automake libtool zip hfst-python3"
-install=""
-subpackages="ormofi-doc omorfi-utils omorfi-voikko omorfi-python3"
-source="$pkgname-$pkgver.tar.gz::https://github.com/flammie/omorfi/archive/$pkgver.tar.gz"
-
-_builddir="$srcdir/$pkgname-$pkgver"
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
-
-build() {
-	cd "$_builddir"
-	./autogen.sh
-	./configure --prefix=/usr \
-		|| return 1
-	make || return 1
-}
-
-package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" install || return 1
-	rm -rf "$pkgdir"/usr/share/pkgconfig
-}
-
-utils() {
-	depends="bash"
-	mkdir -p "$subpkgdir"/usr/
-	cp -r "$pkgdir"/usr/bin "$subpkgdir"/usr/
-}
-
-voikko() {
-	depends="voikko"
-	mkdir -p "$subpkgdir"/usr/lib/
-	cp -r "$pkgdir"/usr/lib/voikko "$subpkgdir"/usr/lib/
-}
-
-python3() {
-	depends="python3"
-	mkdir -p "$subpkgdir"/usr/lib/
-	cp -r "$pkgdir"/usr/lib/python3* "$subpkgdir"/usr/lib/
-}
-
-md5sums="6a3e7b16c85e78c0ce0e5214c2e8db7d  omorfi-20150326.tar.gz"
-sha256sums="359d34c93ef07d5852d53774da3454ab649d8d22b8f22bb4a7910dbaae8db82f  omorfi-20150326.tar.gz"
-sha512sums="618884ec8909efa23a4f77df0a934056dee4a7d235285a108381d0c5ce62d941cc7ff55f788a1618e3257a7541193fd661e1c6c78a71606473c88d68cc73ea78  omorfi-20150326.tar.gz"
diff --git a/unmaintained/omorfi/APKBUILD b/unmaintained/omorfi/APKBUILD
new file mode 100644
index 0000000..06e7291
--- /dev/null
+++ b/unmaintained/omorfi/APKBUILD
_at_@ -0,0 +1,62 @@
+# Contributor: Frankie Robertson <frankie_at_robertson.name>
+# Maintainer:
+pkgname=omorfi
+pkgver=20150326
+pkgrel=0
+pkgdesc="Open morphology for Finnish"
+url="https://github.com/flammie/omorfi"
+arch="noarch"
+license="GPL3"
+depends="hfst bash"
+depends_dev=""
+makedepends="$depends_dev autoconf automake libtool zip hfst-python3"
+install=""
+subpackages="ormofi-doc omorfi-utils omorfi-voikko omorfi-python3"
+source="$pkgname-$pkgver.tar.gz::https://github.com/flammie/omorfi/archive/$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./autogen.sh
+	./configure --prefix=/usr \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -rf "$pkgdir"/usr/share/pkgconfig
+}
+
+utils() {
+	depends="bash"
+	mkdir -p "$subpkgdir"/usr/
+	cp -r "$pkgdir"/usr/bin "$subpkgdir"/usr/
+}
+
+voikko() {
+	depends="voikko"
+	mkdir -p "$subpkgdir"/usr/lib/
+	cp -r "$pkgdir"/usr/lib/voikko "$subpkgdir"/usr/lib/
+}
+
+python3() {
+	depends="python3"
+	mkdir -p "$subpkgdir"/usr/lib/
+	cp -r "$pkgdir"/usr/lib/python3* "$subpkgdir"/usr/lib/
+}
+
+md5sums="6a3e7b16c85e78c0ce0e5214c2e8db7d  omorfi-20150326.tar.gz"
+sha256sums="359d34c93ef07d5852d53774da3454ab649d8d22b8f22bb4a7910dbaae8db82f  omorfi-20150326.tar.gz"
+sha512sums="618884ec8909efa23a4f77df0a934056dee4a7d235285a108381d0c5ce62d941cc7ff55f788a1618e3257a7541193fd661e1c6c78a71606473c88d68cc73ea78  omorfi-20150326.tar.gz"
-- 
2.7.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Mar 21 2016 - 01:11:05 GMT